APIs in Category: nfs | Cluster-Mode API version 1.21

nfs-service-get-create-defaults nfs-service-get-iter

NetApp Manage ONTAP

nfs-service-get-create-defaults | [top]

> Obtain the default values for NFS server configuration.

> Input Name | Range | Type | Description
> attributes |  | nfs-info optional | Optionally specify the value for attributes if available. The default values for some attributes may depend on the values specified for some other attribute.
> Output Name | Range | Type | Description
> defaults |  | nfs-info | The default attributes for the NFS Server.

nfs-service-get-iter | [top]

> Iterate over the list of NFS servers.

> Input Name | Range | Type | Description
> desired-attributes |  | nfs-info optional | Specify the attributes that should be returned. If not present, all attributes for which information is available will be returned. If present, only the desired attributes for which information is available will be returned.
> max-records | [1..2^32-1] | integer optional | The maximum number of records to return in this call. Default: 20
> query |  | nfs-info optional | A query that specifies which objects to return. A query could be specified on any number of attributes in the NFS Server object. All NFS Server objects matching this query up to 'max-records' will be returned.
> tag |  | string optional | Specify the tag from the last call. It is usually not specified for the first call. For subsequent calls, copy values from the 'next-tag' obtained from the previous call.
> Output Name | Range | Type | Description
> attributes-list |  | nfs-info[] optional | The list of attributes of NFS Server objects.
> next-tag |  | string optional | Tag for the next call. Not present when there are no more NFS Server objects to return.
> num-records | [0..2^32-1] | integer | The number of records returned in this call.

> Errno | Description
> EINTERNALERROR |  |

Element definition: nfs-info | [top]

> Information about NFS server configuration When returned as part of the output, all elements of this typedef are reported, unless limited by a set of desired attributes specified by the caller. When used as input to specify desired attributes to return, omitting a given element indicates that it shall not be returned in the output. In contrast, by providing an element (even with no value) the caller ensures that a value for that element will be returned, given that the value can be retrieved. When used as input to specify queries, any element can be omitted in which case the resulting set of objects is not constrained by any specific value of that attribute.

> Name | Range | Type | Description
> chown-mode |  | nfschownmode optional | Vserver Change Ownership Mode. Possible values are 'ignore', 'fail', 'use_export_policy'. If 'use_export_policy' is set, export policy option is used. Default value is 'use_export_policy'. Attributes: optional-for-create, modifiable Possible values: "restricted" , "unrestricted" , "use_export_policy"
> default-windows-group |  | string optional | The default windows group for CIFS access. Attributes: optional-for-create, modifiable
> default-windows-user |  | string optional | The default windows user for CIFS access. Attributes: optional-for-create, modifiable
> enable-ejukebox |  | boolean optional | If 'true', then the NFS server will send EJUKEBOX error on server delays. Attributes: optional-for-create, modifiable
> is-mount-rootonly-enabled |  | boolean optional | If 'true', then the vserver allows MOUNT protocol calls only from privileged ports (port numbers less than 1024). Default value is 'true'. Attributes: optional-for-create, modifiable
> is-nfs-access-enabled |  | boolean optional | If 'true',then NFS server access is enabled. Default value is 'true'. Attributes: optional-for-create, modifiable
> is-nfs-rootonly-enabled |  | boolean optional | If 'true', then the vserver allows NFS protocol calls only from privileged ports (port numbers less than 1024). Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv2-enabled |  | boolean optional | Starting Data ONTAP 8.2, NFS v2 is no longer supported. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv3-connection-drop-enabled |  | boolean optional | If 'true', then connection is dropped when an NFSv3 request is dropped. Default value is 'true'. Attributes: optional-for-create, modifiable
> is-nfsv3-enabled |  | boolean optional | If 'true', then NFS version 3 is enabled. Default value is 'true'. Attributes: optional-for-create, modifiable
> is-nfsv3-fsid-change-enabled |  | boolean optional | If 'true', then NFSv3 clients see change in FSID as they traverse filesystems. Default value is 'true'. Attributes: optional-for-create, modifiable
> is-nfsv4-fsid-change-enabled |  | boolean optional | If 'true', then clients see change in FSID as NFSv4 clients traverse filesystems. Default value is 'true'. Attributes: optional-for-create, modifiable
> is-nfsv4-numeric-ids-enabled |  | boolean optional | If 'true', then NFSv4 support for Numeric Owner IDs is enabled. Default value is 'true'. Attributes: optional-for-create, modifiable
> is-nfsv40-acl-enabled |  | boolean optional | If 'true', then NFSv4.0 ACL feature is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv40-enabled |  | boolean optional | If 'true', then NFS version 4.0 is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv40-migration-enabled |  | boolean optional | If 'true', then NFSv4.0 Migration feature is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv40-read-delegation-enabled |  | boolean optional | If 'true', NFSv4.0 read delegation feature is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv40-referrals-enabled |  | boolean optional | If 'true', then NFSv4.0 Referrals feature is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv40-req-open-confirm-enabled |  | boolean optional | If 'true', then the server will require an OPEN_CONFIRM operation for all NFSv4.0 clients. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv40-write-delegation-enabled |  | boolean optional | If 'true', NFSv4.0 write delegation feature is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv41-acl-enabled |  | boolean optional | If 'true', then NFSv4.1 ACL feature is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv41-acl-preserve-enabled |  | boolean optional | If 'true', the NFSv4 server will preserve and modify ACL when chmod is done. Default value is 'true'. Attributes: optional-for-create, modifiable
> is-nfsv41-enabled |  | boolean optional | If 'true', then NFS version 4.1 is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv41-migration-enabled |  | boolean optional | If 'true', then NFSv4.1 Migration feature is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv41-pnfs-enabled |  | boolean optional | If 'true', then Parallel NFS support for NFS version 4.1 is enabled. Default value is 'true'. Attributes: optional-for-create, modifiable
> is-nfsv41-pnfs-striped-volumes-enabled |  | boolean optional | If 'true', Striped volume support for Parallel NFS is enabled . Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv41-read-delegation-enabled |  | boolean optional | If 'true', NFSv4.1 read delegation feature is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv41-referrals-enabled |  | boolean optional | If 'true', then NFSv4.1 Referrals feature is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-nfsv41-state-protection-enabled |  | boolean optional | If 'true', then NFSv4.1 State Protection is enabled. Default value is 'true'. Attributes: optional-for-create, modifiable
> is-nfsv41-write-delegation-enabled |  | boolean optional | If 'true', NFSv4.1 write delegation feature is enabled. Default value is 'false'. Attributes: optional-for-create, modifiable
> is-qtree-export-enabled |  | boolean optional | If 'true', then the Vserver allows qtree exports (read-only). Default value is 'false'. Attributes: non-creatable, non-modifiable
> is-validate-qtree-export-enabled |  | boolean optional | If 'true', then the Vserver performs additional validation for qtree. Default value is 'true'. Attributes: optional-for-create, modifiable
> is-vstorage-enabled |  | boolean optional | If 'true', then enables the usage of vStorage protocol for server side copies, which is mostly used in hypervisors. Default value is 'false'. Attributes: optional-for-create, modifiable
> nfsv4-acl-max-aces | [192..1024] | integer optional | Maximum Number of ACEs allowed in an ACL. Range is 192 to 1024. Default value is 400. Attributes: optional-for-create, modifiable
> nfsv4-grace-seconds | [0..2^32-1] | integer optional | NFSv4 Grace timeout value in seconds. Default value is 45 seconds. Attributes: optional-for-create, modifiable
> nfsv4-id-domain |  | string optional | NFSv4 ID mapping domain. Default value is 'defaultv4iddomain.com'. Attributes: optional-for-create, modifiable
> nfsv4-lease-seconds | [0..2^32-1] | integer optional | NFSv4 Lease timeout value in seconds. Default value is 30 seconds. Attributes: optional-for-create, modifiable
> nfsv41-implementation-id-domain |  | string optional | NFSv4.1 Implementation id domain. Default value is 'defaultv41impliddomain.com'. Attributes: optional-for-create, modifiable
> nfsv41-implementation-id-name |  | string optional | NFSv4.1 Implementation id name. Default value is 'defaultv41implidname'. Attributes: optional-for-create, modifiable
> nfsv41-implementation-id-time |  | date optional | NFSv4.1 Implementation id time.The number of seconds since January 1, 1970. Attributes: optional-for-create, modifiable
> nfsv4x-session-num-slots | [1..2000] | integer optional | Number of Slots in the NFSv4.x Session Slot Tables. Default value is 180. Attributes: optional-for-create, modifiable
> nfsv4x-session-slot-reply-cache-size | [512..4096] | integer optional | Size of the Reply that will be Cached in Each NFSv4.x Session Slot (in bytes). Default value is 640. Attributes: optional-for-create, modifiable
> ntfs-unix-security-ops |  | string optional | Ignore/Fail unix security operations on NTFS volumes. Possible values are 'ignore', 'fail','use_export_policy'. If 'use_export_policy' is set, export policy option is used. Default value is 'use_export_policy'. Attributes: optional-for-create, modifiable
> rpcsec-ctx-high | [0..2^32-1] | integer optional | High water mark for the RPCSEC_GSS Context Cache. Default value is 0. Attributes: optional-for-create, modifiable
> rpcsec-ctx-idle | [0..2^32-1] | integer optional | Time in seconds before an idle entry in RPCSEC_GSS context cache is deleted. Default value is 0. Attributes: optional-for-create, modifiable
> vserver |  | string optional | Vserver name Attributes: key, non-creatable, non-modifiable

Element definition: date | [top]

> Date (in seconds since Jan. 1, 1970 12:00:00) Range : [0..2^31-1].

> [none]

Element definition: nfschownmode | [top]

> restricted|unrestricted|use-export-policy Possible values: "restricted" , "unrestricted" , "use_export_policy"

> [none]